package com.pcloud.common.entity;

import com.alibaba.fastjson.JSONObject;

/**
 * 
 * 
 * @author：songx
 * @date：2018年1月18日,上午9:38:30
 */
public class OSSFileDO {

	public String getLocation() {
		return location;
	}

	public String getBucket() {
		return bucket;
	}

	public String getObject() {
		return object;
	}

	public void setBucket(String bucket) {
		this.bucket = bucket;
	}

	public void setObject(String object) {
		this.object = object;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String toJsonString() {
		return toJson().toJSONString();
	}

	public JSONObject toJson() {
		JSONObject jsonObject = new JSONObject();
		jsonObject.put("Bucket", bucket);
		jsonObject.put("Location", location);
		jsonObject.put("Object", object);

		return jsonObject;
	}

	public OSSFileDO() {

	}

	public OSSFileDO(String location, String bucket, String object) {
		this.location = location;
		this.bucket = bucket;
		this.object = object;
	}

	private String location;
	private String bucket;
	private String object;

}
